<template>
  <h1>Домашняя страница 11</h1>
  <p class="subtitle">
    Подзаголовок
  </p>
  <section>
    <RouterLink to="/second-page">
      Ссылка на вторую страницу
    </RouterLink>
    <br><br>
    <button
      type="button"
      @click="count++"
    >
      Кнопка
    </button>
    <p>
      Вы нажали кнопку {{ count }} раз.
    </p>
    <p class="accent">
      Акцентный текст
    </p>
    <p>
      При переключении темы тг (ночь/день, различные цвета) цветовая схема приложения меняется.
    </p>
    <p>
      Имя пользователя: {{ tg?.first_name }} {{ tg?.last_name }}
    </p>
  </section>
</template>

<script setup>
import { ref } from 'vue';

const tg = ref(window.Telegram.WebApp.initDataUnsafe.user);
console.log(tg.value);
const count = ref(0);
</script>
